<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        // const arr=[2,3,4,"amrith",true,7,9,10]
        // const arr1=[11,12,13,16,17,18]
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // console.log(arr[0])
        // arr[11]=8
        // document.write(arr.toString(),"<br>")
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.at(2),"<br>")
        // document.write(arr.join(1),"<br>")
        // document.write(arr.pop(),"<br>")
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.push(9),"<br>")
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.shift(9),"<br>")
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.unshift(9),"<br>")
        // for(let i=0;i<arr.length;i++){
        //     document.write(i+"==>"+arr[i],"<br>")
        // }
        // document.write(delete{arr},"<br>")
        // for(let i=0;i<arr.length;i++){
        //     console.log(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.slice(2,10),"<br>")

        // for(let i=0;i<arr.length;i++){
        //     console.log(i+"==>"+arr[i],"<br>")
        // }
        // document.write(arr.concat(arr1),"<br>")
        let arr=[8,155,22,53,4,5,6]
        var newarr=[];

        arr.forEach((n,i,a) => newarr.push(n*n,i,a)
        )
        document.write(arr.sort((a,b)=>(b-a)))
    </script>
</body>